Failed building wheel for cryptography

asked 2015-04-06 02:54:53 -0500

tjxiter gravatar image

updated 2015-04-22 10:47:54 -0500

rbowen gravatar image

Hi,all I'm new to openstack and trying to install it using devstack. On executing ./stack.sh,I got the following error:

2015-04-06 06:53:52.993 | + echo 'Distro: trusty'
2015-04-06 06:53:52.993 | Distro: trusty
2015-04-06 06:53:52.994 | + get_versions
2015-04-06 06:53:52.995 | ++ which pip
2015-04-06 06:53:52.996 | + PIP=/usr/local/bin/pip
2015-04-06 06:53:52.996 | + [[ -n /usr/local/bin/pip ]]
2015-04-06 06:53:52.997 | ++ /usr/local/bin/pip --version
2015-04-06 06:53:52.997 | ++ awk '{ print $2}'
2015-04-06 06:53:53.337 | + PIP_VERSION=6.0.8
2015-04-06 06:53:53.337 | + echo 'pip: 6.0.8'
2015-04-06 06:53:53.337 | pip: 6.0.8
2015-04-06 06:53:53.337 | + uninstall_package python-pip
2015-04-06 06:53:53.337 | + is_ubuntu
2015-04-06 06:53:53.337 | + [[ -z deb ]]
2015-04-06 06:53:53.337 | + '[' deb = deb ']'
2015-04-06 06:53:53.337 | + apt_get purge python-pip
2015-04-06 06:53:53.340 | + sudo DEBIAN_FRONTEND=noninteractive http_proxy= https_proxy= no_proxy= apt-get --option Dpkg::Options::=--force-confold --assume-yes purge python-pip
2015-04-06 06:53:53.357 | Reading package lists...
2015-04-06 06:53:53.532 | Building dependency tree...
2015-04-06 06:53:53.533 | Reading state information...
2015-04-06 06:53:53.640 | Package 'python-pip' is not installed, so not removed
2015-04-06 06:53:53.640 | The following packages were automatically installed and are no longer required:
2015-04-06 06:53:53.640 |   libdbi-perl libltdl7 libodbc1 libterm-readkey-perl python-colorama
2015-04-06 06:53:53.640 |   python-distlib python-html5lib
2015-04-06 06:53:53.640 | Use 'apt-get autoremove' to remove them.
2015-04-06 06:53:53.662 | 0 upgraded, 0 newly installed, 0 to remove and 153 not upgraded.
2015-04-06 06:53:53.664 | + install_get_pip
2015-04-06 06:53:53.664 | + [[ ! -r /home/stack/devstack/files/get-pip.py ]]
2015-04-06 06:53:53.664 | + [[ -r /home/stack/devstack/files/get-pip.py.downloaded ]]
2015-04-06 06:53:53.664 | + curl --retry 6 --retry-delay 5 -z /home/stack/devstack/files/get-pip.py -o /home/stack/devstack/files/get-pip.py https://bootstrap.pypa.io/get-pip.py
2015-04-06 06:53:53.670 |   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
2015-04-06 06:53:53.670 |                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
2015-04-06 06:53:54.061 | + touch /home/stack/devstack/files/get-pip.py.downloaded
2015-04-06 06:53:54.062 | + sudo -H -E python /home/stack/devstack/files/get-pip.py
2015-04-06 06:53:56.560 | Requirement already up-to-date: pip in /usr/local/lib/python2.7/dist-packages
2015-04-06 06:53:56.592 | + [[ -n '' ]]
2015-04-06 06:53:56.592 | + pip_install -U setuptools
2015-04-06 06:53:56.957 | + sudo -H http_proxy= https_proxy= no_proxy= PIP_FIND_LINKS=file:///opt/stack/.wheelhouse /usr/local/bin/pip install -U setuptools
2015-04-06 06:53:58.859 | Collecting setuptools from https://pypi.python.org/packages/3.4/s/setuptools/setuptools-15.0-py2.py3-none-any.whl#md5=80570f4e94f9c05a35241a53c38d3540
2015-04-06 06:53:58.966 |   Downloading setuptools-15.0-py2.py3-none-any.whl (501kB)
2015-04-06 06:54:00.159 | Installing collected packages: setuptools
2015-04-06 06:54:00.199 |   Found existing installation: setuptools 14.3.1
2015-04-06 ...
(more)
edit retag flag offensive close merge delete

Comments

Hi Tjxiter, It is very difficult to read your logs, next time, upload them or try to format them.

About the issue, I would suggest you to test the URL from your devstack machine:

wget https://pypi.python.org/packages/2.7/...

Charles Benon gravatar imageCharles Benon ( 2015-04-07 07:12:16 -0500 )edit